aboutsummaryrefslogtreecommitdiff
path: root/games
diff options
context:
space:
mode:
authorSean Hinchee <henesy.dev@gmail.com>2024-11-06 15:28:09 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2024-11-06 15:35:37 +0700
commit6b8769e8827d65a489a8d65601d576ba068248db (patch)
tree00b990bb9b4516f85ee224549b56e30cfd30762c /games
parentcfa957c806dd265d0ab6caec74e874973577ac68 (diff)
games/caesar3: Added (open source re-implementation of Caesar III).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/caesar3/README16
-rw-r--r--games/caesar3/caesar3.SlackBuild103
-rw-r--r--games/caesar3/caesar3.info10
-rw-r--r--games/caesar3/doinst.sh10
-rw-r--r--games/caesar3/slack-desc19
5 files changed, 158 insertions, 0 deletions
diff --git a/games/caesar3/README b/games/caesar3/README
new file mode 100644
index 000000000000..5954d05ffd63
--- /dev/null
+++ b/games/caesar3/README
@@ -0,0 +1,16 @@
+julius -- Re-implementation of Caesar III.
+
+Julius is a fully working open-source version of
+Caesar 3, with the same logic as the original, but
+with some UI enhancements, that can be played on
+multiple platforms.
+
+Julius will not run without the original Caesar 3
+files. You can buy a digital copy from GOG or Steam,
+or you can use an original CD-ROM version.
+
+The goal of the project is to have exactly the same
+game logic as Caesar 3, with the same look and feel.
+This means that the saved games are 100% compatible
+with Caesar 3, and any gameplay bugs present in the
+original Caesar 3 game will also be present in Julius.
diff --git a/games/caesar3/caesar3.SlackBuild b/games/caesar3/caesar3.SlackBuild
new file mode 100644
index 000000000000..78d78033bd4e
--- /dev/null
+++ b/games/caesar3/caesar3.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/bash
+
+# Slackware build script for caesar3
+
+# Copyright 2024 Sean Hinchee
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=caesar3
+VERSION=${VERSION:-20241031_46af932}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+COMMIT=46af932a996cc9e593d329b5f2fa0d4dfbbbd49c
+ARCHIVE=julius-$COMMIT.tar.gz
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$ARCHIVE
+cd $(basename -s '.tar.gz' $ARCHIVE)
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr ..
+make
+make install DESTDIR=$PKG/
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
+
diff --git a/games/caesar3/caesar3.info b/games/caesar3/caesar3.info
new file mode 100644
index 000000000000..eb217e330a5a
--- /dev/null
+++ b/games/caesar3/caesar3.info
@@ -0,0 +1,10 @@
+PRGNAM="caesar3"
+VERSION="20241031_46af932"
+HOMEPAGE="https://github.com/bvschaik/julius"
+DOWNLOAD="https://github.com/bvschaik/julius/archive/46af932/julius-46af932a996cc9e593d329b5f2fa0d4dfbbbd49c.tar.gz"
+MD5SUM="b2a82bb8766112c664c38ff4d4db3f0c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Sean Hinchee"
+EMAIL="henesy.dev@gmail.com"
diff --git a/games/caesar3/doinst.sh b/games/caesar3/doinst.sh
new file mode 100644
index 000000000000..4a25de5e6fbd
--- /dev/null
+++ b/games/caesar3/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/games/caesar3/slack-desc b/games/caesar3/slack-desc
new file mode 100644
index 000000000000..f19d19b0bad8
--- /dev/null
+++ b/games/caesar3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+caesar3: caesar3 (Julius re-implementation of Caesar III engine)
+caesar3:
+caesar3: Julius is a fully working open-source version of Caesar 3,
+caesar3: with the same logic as the original, but with some UI
+caesar3: enhancements, that can be played on multiple platforms.
+caesar3:
+caesar3: Julius will not run without the original Caesar 3 files.
+caesar3:
+caesar3:
+caesar3: Homepage: https://github.com/bvschaik/julius
+caesar3: